Removed all Makefiles and autotools files

Removed all MSVC build files
Removed all autogenerated files
Removed other unused scripts/files
Windows platform specified files moved to src/win32
Cleaned .bzrignore
This commit is contained in:
Pali Rohár 2011-03-06 20:38:55 +01:00
parent 329e175ef6
commit 5a36bb67b6
33 changed files with 3 additions and 25880 deletions

View file

@ -1,21 +1,4 @@
*.exe
*.dll
Rules.make
stratagus
stratagus_*.tar.gz
stratagus_*.tar.gz.asc
Stratagus-*.exe.asc
src/*/obj
src/*/winobj
src/*/*/obj
src/*/*/winobj
config.h
config.h.in
config.log
config.status
configure
aclocal.m4
autom4te.cache
build
debian/*.debhelper
debian/files
debian/*.log

View file

@ -167,7 +167,6 @@ set(stratagusmain_SRCS
)
set(tolua_SRCS
# src/tolua/tolua.cpp
src/tolua/tolua_event.cpp
src/tolua/tolua_is.cpp
src/tolua/tolua_map.cpp
@ -218,8 +217,8 @@ set(video_SRCS
)
set(win32_SRCS
src/stratagus/attachconsole.cpp
src/stratagus.rc
src/win32/attachconsole.cpp
src/win32/stratagus.rc
)
set(tolua_cpp_DEPS

326
Makefile
View file

@ -1,326 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Makefile - The make file.
##
## (c) Copyright 1998-2003 by Lutz Sammer and Nehal Mistry
## (c) Copyright 2010 by Pali Rohár
##
## Stratagus is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; only version 2 of the License.
##
## Stratagus is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## $Id$
##
TOPDIR= .
RULESFILE ?= Rules.make
WINRULESFILE = Rules.make.WIN32
OUTFILE ?= stratagus
-include $(TOPDIR)/$(RULESFILE)
OBJDIR ?= .
CROSSDIR ?= /usr/local/cross
INCLUDE_DIRS = src/include
MODULES = src/action src/ai src/beos src/editor src/game \
src/guichan src/map src/network src/pathfinder \
src/sound src/stratagus src/tolua src/ui src/unit \
src/video src/particle
MODULES_ALL = $(MODULES)
MISC :=
HDRS :=
include $(patsubst %, %/Module.make, $(INCLUDE_DIRS))
SRC :=
include $(patsubst %, %/Module.make, $(MODULES))
OBJ := $(patsubst %.cpp, %.o, $(SRC))
OBJ := $(join $(addsuffix $(OBJDIR)/,$(dir $(OBJ))),$(notdir $(OBJ)))
ifneq ($(findstring -DUSE_WIN32, $(CPPFLAGS)),)
OBJ := $(OBJ) src/$(OBJDIR)/stratagusrc.o
endif
SRC_ALL = $(SRC)
OBJ_ALL = $(OBJ)
.SUFFIXES: .cpp .o
.PHONY: make-objdir all-src
all: all-src stratagus
make-objdir:
@mkdir -p $(dir $(OBJ))
%.o: $(@D)../%.cpp $(RULESFILE)
$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(subst $(OBJDIR)/../,,$<) -o $@
help:
@-echo "make cycle clean,depend,tags,all"
@-echo "make install install all files"
@-echo "make uninstall uninstall all files"
@-echo "make clean cleanup keep only executables"
@-echo "make distclean clean all files"
@-echo "make doc make source documention with doxygen"
@-echo "make strip strip stratagus and/or stratagus.exe"
@-echo "make depend create dependencies"
@-echo "make dist create distribution"
@-echo "make win32new (CROSS-COMPILER ONLY) start new win32"
@-echo "make win32 (CROSS-COMPILER ONLY) build the win32 version"
@-echo "make win32distclean (CROSS-COMPILER ONLY) clean all files of win32"
@-echo "make release release it"
cycle::
@$(MAKE) clean
@$(MAKE) depend
@$(MAKE) tags
@$(MAKE) all
doc::
doxygen contrib/doxygen-stratagus.cfg
all-src: make-objdir $(OBJ)
stratagus: $(OBJ)
$(CXX) -o $(OUTFILE) $^ $(CXXFLAGS) $(LDFLAGS)
strip:
@if [ -f $(OUTFILE) ]; then $(STRIP) $(OUTFILE); fi
src/$(OBJDIR)/stratagusrc.o: src/stratagus.rc
if [ ! -d src/$(OBJDIR) ]; then mkdir src/$(OBJDIR); fi
cd src; $(WINDRES) $(CPPFLAGS) -o $(OBJDIR)/stratagusrc.o stratagus.rc; cd ..
clean::
$(RM) -r $(OBJ)
for i in $(MODULES_ALL); do \
$(RM) -r $$i/*.doc; done
$(RM) core gmon.out cscope.out *.doc
@echo
distclean: clean
for i in $(MODULES_ALL); do \
[ $(OBJDIR) = "." ] || $(RM) -r $$i/$(OBJDIR); \
$(RM) $$i/.#* $$i/*~; done
$(RM) $(OUTFILE) $(OUTFILE).exe gmon.sum .depend .#* *~ stderr.txt stdout.txt \
srcdoc/* .depend Rules.make config.log config.status configure
$(RM) Rules.make Rules.make.WIN32 aclocal.m4 config.h config.h.in
$(RM) -r src/winobj/ src/guichan/sdl/winobj/ src/guichan/widgets/winobj/ src/guichan/sdl/obj/ src/guichan/widgets/obj/
$(RM) -r autom4te.cache/
@echo
depend:
@echo -n >.depend
@echo
@for i in $(SRC) ; do \
echo -e "\rMaking dependencies for $$i"; \
$(CXX) -MT `dirname $$i`/$(OBJDIR)/`basename $$i | sed 's/\.cpp/\.o/g'` \
-MM $(CPPFLAGS) $$i >>.depend; done
@echo
ctags:
ctags --C++-kinds=+px `find . -name '*.cpp' -o -name '*.c' -o -name '*.h'`
##############################################################################
#
# include dependency files, if they exist
#
$(OBJ): $(RULESFILE)
ifeq (.depend,$(wildcard .depend))
include .depend
endif
##############################################################################
# Distributions
##############################################################################
DOCS = COPYING README doc/*.html doc/*.txt doc/scripts/*.html \
doc/scripts/*.py doc/graphics/*.html doc/graphics/*.gimp \
doc/graphics/*.png
PICS = contrib/stratagus.ico contrib/poweredby.png
MISC += contrib/doxygen-stratagus.cfg contrib/doxygen-header.html \
Rules.make.in configure.in configure config.h.in Makefile \
src/stratagus.rc stratagus.sln stratagus.vcproj \
autogen.sh SConstruct src/tolua/*.pkg \
contrib/intl/*.po contrib/intl/*.pot \
$(patsubst %, %/Module.make, $(MODULES_ALL)) \
$(patsubst %, %/Module.make, $(INCLUDE_DIRS))
mydate ?= $(shell date +%y%m%d)
distdir = stratagus-$(mydate)
#why is this needed?
DISTLIST = distlist.tmp
distlist:
@echo $(SRC_ALL) $(HDRS) > $(DISTLIST)
dist: distlist
autoconf
echo >>$(DISTLIST)
echo $(PICS) >>$(DISTLIST)
echo $(MISC) >>$(DISTLIST)
echo $(DOCS) >>$(DISTLIST)
echo $(CONTRIB) >>$(DISTLIST)
$(RM) -r $(distdir)
mkdir $(distdir)
chmod 777 $(distdir)
for i in `cat $(DISTLIST)`; do echo $$i; done | while read j; do cp -a --parents $$j $(distdir); done
chmod -R a+rX $(distdir)
tar czhf $(distdir)-src.tar.gz $(distdir)
echo "(c) 2006 The Stratagus Project" | \
zip -zq9r $(distdir)-src.zip $(distdir)
$(RM) $(DISTLIST)
$(RM) -r $(distdir)
ls -l $(distdir)-src.tar.gz $(distdir)-src.zip
bin-dist: all
$(RM) $(DISTLIST)
echo $(DOCS) >>$(DISTLIST)
echo stratagus >>$(DISTLIST)
$(RM) -r $(distdir)
mkdir $(distdir)
chmod 777 $(distdir)
for i in `cat $(DISTLIST)`; do echo $$i; done | while read j; do cp -a --parents $$j $(distdir); done
chmod -R a+rX $(distdir)
strip -s -R .comment $(distdir)/stratagus
tar czhf stratagus-$(mydate)-linux.tar.gz $(distdir)
$(RM) $(DISTLIST)
$(RM) -r $(distdir)
bin-dist-gl: all
$(RM) $(DISTLIST)
echo $(DOCS) >>$(DISTLIST)
echo $(OUTFILE) >>$(DISTLIST)
rm -rf $(distdir)
mkdir $(distdir)
chmod 777 $(distdir)
for i in `cat $(DISTLIST)`; do echo $$i; done | while read j; do cp -a --parents $$j $(distdir); done
chmod -R a+rX $(distdir)
strip -s -R .comment $(distdir)/$(OUTFILE)
tar czhf stratagus-$(mydate)-linux-gl.tar.gz $(distdir)
$(RM) $(DISTLIST)
$(RM) -r $(distdir)
deb-dist:
debuild binary
#----------------------------------------------------------------------------
win32-bin-dist2: win32
@$(RM) $(DISTLIST)
@echo $(DOCS) >>$(DISTLIST)
@echo $(OUTFILE).exe >>$(DISTLIST)
@rm -rf $(distdir)
@mkdir $(distdir)
@chmod 777 $(distdir)
@for i in `cat $(DISTLIST)`; do echo $$i; done | while read j; do cp -a --parents $$j $(distdir); done
@chmod -R a+rX $(distdir)
@strip -s -R .comment $(distdir)/$(OUTFILE).exe
@echo "(c) 2003 by the Stratagus Project http://Stratagus.Org" | \
zip -zq9r stratagus-$(mydate)-win32bin.zip $(distdir)
@$(RM) $(DISTLIST)
@$(RM) -r $(distdir)
ls -l stratagus-$(mydate)-win32bin.zip
win32-bin-dist: win32
@export PATH=$(CROSSDIR)/i386-mingw32msvc/bin:$(CROSSDIR)/bin:$$PATH; \
$(MAKE) RULESFILE=$(WINRULESFILE) $(WIN32) win32-bin-dist2
#----------------------------------------------------------------------------
difffile= stratagus-`date +%y%m%d`.diff
diff:
@$(RM) $(difffile)
@$(RM) $(DISTLIST)
$(MAKE) -C src RULESFILE=$(RULESFILE) distlist
echo $(MISC) >>$(DISTLIST)
echo $(DOCS) >>$(DISTLIST)
rcsdiff -u `cat $(DISTLIST)` > $(difffile)
release:
$(MAKE) distclean
$(MAKE) configure
$(MAKE) depend
$(MAKE) bin-dist
$(MAKE) configuregl
$(MAKE) depend
$(MAKE) bin-dist-gl
$(MAKE) win32new
$(MAKE) win32configure
$(MAKE) win32-bin-dist
$(MAKE) win32distclean
$(MAKE) dist
##############################################################################
# WIN32 Crosscompiler Build
##############################################################################
WIN32= \
VIDEOLIB='-L$(CROSSDIR)/i386-mingw32msvc/lib $(SDLLIB) -lwsock32 -lws2_32' \
RULESFILE=$(WINRULESFILE)
win32new:
@$(MAKE) RULESFILE=$(WINRULESFILE) distclean
export PATH=$(CROSSDIR)/i386-mingw32msvc/bin:$(CROSSDIR)/bin:$$PATH; \
win32configure:
autoconf
export PATH=$(CROSSDIR)/bin:$(CROSSDIR)/i386-mingw32msvc/bin:$$PATH; \
./configure --enable-win32 --host=i386-mingw32msvc --build=i386-linux \
--with-lua=/usr/local/cross --enable-static
win32_2:
$(MAKE) $(WIN32) all
win32:
export PATH=$(CROSSDIR)/i386-mingw32msvc/bin:$(CROSSDIR)/bin:$$PATH; \
$(MAKE) $(WIN32) win32_2
win32depend:
export PATH=$(CROSSDIR)/i386-mingw32msvc/bin:$(CROSSDIR)/bin:$$PATH; \
$(MAKE) $(WIN32) depend
win32distclean:
export PATH=$(CROSSDIR)/i386-mingw32msvc/bin:$(CROSSDIR)/bin:$$PATH; \
$(MAKE) $(WIN32) distclean
##############################################################################
# INSTALL/UNINSTALL
##############################################################################
install: all install-stratagus
install-stratagus:
install -m 755 $(OUTFILE) $(PREFIX)/bin
@echo installation of stratagus complete
uninstall:
@echo uninstalling stratagus and stratagus tools
rm $(PREFIX)/bin/$(OUTFILE)
@echo uninstallation of stratagus complete

View file

@ -1,32 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
# Compile commands
CXX=@CXX@
RM=rm -f
MAKE=make
WINDRES=@WINDRES@
STRIP=@STRIP@
# Prefix for 'make install'
PREFIX=@PREFIX@
PKGDATADIR=@PKGDATADIR@
CPPFLAGS=@DEFS@ @CPPFLAGS@ -DUSE_ZLIB -I$(TOPDIR) -I$(TOPDIR)/src/include -I$(TOPDIR)/src/guichan/include -DSTRATAGUS_LIB_PATH="\"@PKGDATADIR@\""
CXXFLAGS=@CXXFLAGS@
LDFLAGS=@LDFLAGS@ -lpng -lz -lm
OBJDIR=@OBJDIR@
OUTFILE=@OUTFILE@
DISTLIST=$(TOPDIR)/distlist
TAGS=$(TOPDIR)/src/tags

View file

@ -1,4 +0,0 @@
#!/bin/sh
aclocal
autoheader
autoconf

View file

@ -1,29 +0,0 @@
#!/bin/sh
make distclean || exit 1
./autogen.sh || exit 1
./configure --enable-win32 --host=x86_64-w64-mingw32 --prefix=/usr/x86_64-w64-mingw32 --enable-static --without-bzip2 --disable-stdio-redirect || exit 1
make || exit 1
make strip || exit 1
#upx -9 stratagus.exe || exit 1
mv stratagus.exe stratagus-rel.exe || exit 1
make distclean || exit 1
./autogen.sh || exit 1
./configure --enable-win32 --host=x86_64-w64-mingw32 --prefix=/usr/x86_64-w64-mingw32 --enable-static --enable-debug --without-bzip2 --disable-stdio-redirect || exit 1
make OUTFILE=stratagus-dbg.exe || exit 1
mv stratagus-rel.exe stratagus.exe || exit 1
makensis -DAMD64 stratagus.nsi || exit 1
make distclean || exit 1
./autogen.sh || exit 1
./configure --enable-win32 --host=i686-w64-mingw32 --prefix=/usr/i686-w64-mingw32 --enable-static --without-bzip2 --disable-stdio-redirect || exit 1
make || exit 1
make strip || exit 1
upx -9 stratagus.exe || exit 1
mv stratagus.exe stratagus-rel.exe || exit 1
make distclean || exit 1
./autogen.sh || exit 1
./configure --enable-win32 --host=i686-w64-mingw32 --prefix=/usr/i686-w64-mingw32 --enable-static --enable-debug --without-bzip2 --disable-stdio-redirect || exit 1
make OUTFILE=stratagus-dbg.exe || exit 1
mv stratagus-rel.exe stratagus.exe || exit 1
makensis stratagus.nsi || exit 1

View file

@ -1,382 +0,0 @@
AC_INIT(configure.in)
AC_PREREQ([2.50])
CXXFLAGS=$CXXFLAGS
AC_PROG_CXX
AM_CONFIG_HEADER(config.h)
test "$prefix" = "NONE" && prefix=/usr/local
datarootdir=.
test "$datadir" = "NONE" && datadir=$datarootdir
PATH=$prefix/bin:$PATH
LDFLAGS="$LDFLAGS -L$prefix/lib -L$prefix/bin"
OBJDIR=obj
if test "`uname -a | grep -is cygwin`" -o "`uname -a | grep -is mingw`"; then
ARCH=win32
OBJDIR=winobj
CPPFLAGS="$CPPFLAGS -DUSE_WIN32"
elif test "`uname -a | grep -is bsd`"; then
ARCH=bsd
CPPFLAGS="$CPPFLAGS -DBSD"
elif test "`uname -a | grep -is beos`"; then
ARCH=beos
CPPFLAGS="$CPPFLAGS -DUSE_BEOS"
elif test "`uname -a | grep -is darwin`"; then
ARCH=macosx
CPPFLAGS="$CPPFLAGS -DUSE_MAC"
else
ARCH=linux
fi
## Maemo section
AC_ARG_ENABLE(maemo,
[ --enable-maemo Build for Linux Maemo based devices (default: autodetect)])
AC_MSG_CHECKING([whether we are building for Linux Maemo based devices])
if ( test "$ARCH" = "linux" && test -f /etc/maemo_version && test "$enable_maemo" != "no" ) || test "$enable_maemo" = "yes"; then
CPPFLAGS="$CPPFLAGS -DUSE_MAEMO -DHAVE_STRCASESTR -DHAVE_STRNLEN"
MAEMO=yes
CFLAGS="$CFLAGS $(pkg-config --cflags libosso)"
CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libosso)"
LDFLAGS="$LDFLAGS $(pkg-config --libs libosso)"
else
MAEMO=no
fi
AC_MSG_RESULT($MAEMO)
if test "$ARCH" = "bsd" ; then
CPPFLAGS="$CPPFLAGS -I/usr/X11R6/include -I/usr/local/include"
LIBS="$LIBS -L/usr/local/lib"
fi
if test "$ARCH" = "macosx" ; then
if test -d /usr/local/include; then
CPPFLAGS="$CPPFLAGS -I/usr/local/include"
fi
if test -d /usr/local/lib; then
LIBS="$LIBS -L/usr/local/lib"
fi
if test -d /sw/include; then
CPPFLAGS="$CPPFLAGS -I/sw/include"
fi
if test -d /sw/lib; then
LIBS="$LIBS -L/sw/lib"
fi
if test -d /opt/local/include; then
CPPFLAGS="$CPPFLAGS -I/opt/local/include"
fi
if test -d /opt/local/lib; then
LIBS="$LIBS -L/opt/local/lib"
fi
fi
dnl --- EXTRA DIRS -------------
AC_ARG_WITH(extra-includes,
[ --with-extra-includes=DIR [Location of additional include directiories]], CPPFLAGS="$CPPFLAGS -I$withval")
AC_ARG_WITH(extra-libs,
[ --with-extra-libs=DIR [Location of additional library directories]], LDFLAGS="$LDFLAGS -L$withval")
AC_CHECK_FUNCS(strcasestr)
AC_CHECK_FUNCS(strnlen)
AC_CHECK_HEADER(zlib.h,, AC_MSG_ERROR(could not find zlib.h))
AC_CHECK_HEADER(png.h,, AC_MSG_ERROR(could not find png.h))
AC_ARG_ENABLE(win32,
[ --enable-win32 Force win32, useful for cross-compiling (default: no)])
if test "$enable_win32" = "yes"; then
ARCH=win32
OBJDIR=winobj
CPPFLAGS="$CPPFLAGS -DUSE_WIN32"
PATH="/usr/local/cross/bin:$PATH"
fi
AC_SUBST(OBJDIR)
if test "$ARCH" != win32; then
AC_PATH_X
else
no_x=yes
fi
if test "$no_x" != "yes"; then
if test "x$x_includes" != "x"; then
CPPFLAGS="$CPPFLAGS -I$x_includes"
fi
if test "x$x_libraries" != "x"; then
LDFLAGS="$LDFLAGS -L$x_libraries"
fi
LDFLAGS="$LDFLAGS -lX11"
AC_DEFINE(HAVE_X, 1, Define to 1 if you have X. Used for pasting from the clipboard.)
fi
AC_ARG_ENABLE(static,
[ --enable-static Compile a static binary (default: no)])
if test "$enable_static" = "yes"; then
LDFLAGS="$LDFLAGS -static"
fi
AC_ARG_ENABLE(profile,
[ --enable-profile Enable profiling support, implies --enable-debug (default: no)])
if test "$enable_profile" = "yes"; then
CXXFLAGS="-pg"
fi
AC_ARG_ENABLE(debug,
[ --enable-debug [Enable debug (default: no)]])
if test "$enable_debug" != "yes" -a "$enable_profile" != "yes"; then
CXXFLAGS="$CXXFLAGS -O2 -pipe -pedantic -fsigned-char -fomit-frame-pointer -fexpensive-optimizations -ffast-math"
else
CXXFLAGS="$CXXFLAGS -O0 -g -pedantic -fsigned-char -fno-exceptions -Wsign-compare -Wall -Wextra -Werror"
CPPFLAGS="$CPPFLAGS -DDEBUG"
fi
dnl --- GLES ------------------
AC_ARG_WITH(gles,
[ --with-gles [Use OpenGL ES 1.1 instead OpenGL (default: autodetect)]])
if test "$with_gles" != "no"; then
AC_CHECK_HEADER(GLES/gl.h,, GLES=no)
AC_CHECK_HEADER(SDL/SDL_gles.h,, GLES=no)
if test "$GLES" != "no"; then
AC_SEARCH_LIBS(glViewport, GLES_CM, LDFLAGS="$LDFLAGS $LIBS", GLES=no)
AC_SEARCH_LIBS(SDL_GLES_Init, SDL_gles, LDFLAGS="$LDFLAGS $LIBS", GLES=no)
fi
if test "$with_gles" != "" -a "$GLES" = "no"; then
AC_MSG_ERROR(gles libraries cannot be not found)
fi
else
GLES=no
fi
if test "$GLES" = "no"; then
if test "$ARCH" = "win32"; then
AC_CHECK_LIB(opengl32, main, LDFLAGS="$LDFLAGS -lopengl32", AC_MSG_ERROR(opengl libraries cannot be not found))
else
AC_SEARCH_LIBS(glViewport, GL opengl32 sdl, LDFLAGS="$LDFLAGS $LIBS", AC_MSG_ERROR(opengl libraries cannot be not found))
fi
else
CPPFLAGS="$CPPFLAGS -DUSE_GLES"
fi
dnl --- BZIP2 ------------------
AC_ARG_WITH(bzip2,
[ --with-bzip2 [Use bzip2 (default: yes)]])
if test "$with_bzip2" != "no"; then
AC_CHECK_HEADER(bzlib.h,, BZIP2=no)
if test "$BZIP2" != "no"; then
AC_CHECK_LIB(bz2, main, CPPFLAGS="$CPPFLAGS -DUSE_BZ2LIB" LDFLAGS="$LDFLAGS -lbz2", BZIP2=no)
fi
if test "$BZIP2" = "no"; then
AC_MSG_ERROR(libbzip2 headers and/or libraries could not be found)
fi
fi
dnl --- VORBIS -----------------
AC_ARG_WITH(vorbis,
[ --with-vorbis [Use vorbis (default: autodetect)]])
if test "$with_vorbis" != "no"; then
AC_CHECK_HEADER(ogg/ogg.h,, VORBIS=no)
AC_CHECK_HEADER(vorbis/codec.h,, VORBIS=no)
if test "$VORBIS" != "no"; then
AC_CHECK_LIB(vorbis, vorbis_info_init, CPPFLAGS="$CPPFLAGS -DUSE_VORBIS" LDFLAGS="$LDFLAGS -lvorbis -logg", VORBIS=no, -logg)
fi
if test "x$with_vorbis" != "x" -a "$VORBIS" = "no"; then
AC_MSG_ERROR(vorbis headers and/or libraries could not be found)
fi
else
VORBIS=no
fi
dnl --- THEORA -----------------
AC_ARG_WITH(theora,
[ --with-theora [Use theora (default: autodetect)]])
if test "$with_theora" != "no"; then
if test "$VORBIS" = "no" -a "x$with_theora" != "x"; then
AC_MSG_ERROR(vorbis is required for theora support)
fi
AC_CHECK_HEADER(ogg/ogg.h,, THEORA=no)
AC_CHECK_HEADER(theora/theora.h,, THEORA=no)
if test "$THEORA" != "no"; then
AC_CHECK_LIB(theora, theora_decode_init, CPPFLAGS="$CPPFLAGS -DUSE_THEORA" LDFLAGS="$LDFLAGS -ltheora -logg", THEORA=no, -logg)
fi
if test "x$with_theora" != "x" -a "$THEORA" = "no"; then
AC_MSG_ERROR(theora headers and/or libraries could not be found)
fi
else
THEORA=no
fi
dnl --- MIKMOD -----------------
AC_ARG_WITH(mikmod,
[ --with-mikmod [Use mikmod (default: autodetect)]])
if test "$with_mikmod" != "no"; then
AC_CHECK_PROGS(LIBMIKMODCONFIG, libmikmod-config)
if test "x$LIBMIKMODCONFIG" != "x"; then
CPPFLAGS="$CPPFLAGS -DUSE_MIKMOD `$LIBMIKMODCONFIG --cflags`"
LDFLAGS="$LDFLAGS `$LIBMIKMODCONFIG --libs`"
else
AC_CHECK_HEADER(mikmod.h,, MIKMOD=no)
if test "$MIKMOD" != "no"; then
AC_CHECK_LIB(mikmod, MikMod_Init, CPPFLAGS="$CPPFLAGS -DUSE_MIKMOD" LDFLAGS="$LDFLAGS -lmikmod", MIKMOD=no)
fi
if test "x$with_mikmod" != "x" -a "$MIKMOD" = "no"; then
AC_MSG_ERROR(mikmod headers and/or libraries could not be found)
fi
fi
fi
dnl --- MNG --------------------
AC_ARG_WITH(mng,
[ --with-mng [Use mng (default: autodetect)]])
if test "$with_mng" != "no"; then
AC_CHECK_HEADER(libmng.h,, MNG=no)
if test "$MNG" != "no"; then
AC_CHECK_LIB(mng, main, CPPFLAGS="$CPPFLAGS -DUSE_MNG" LDFLAGS="$LDFLAGS -lmng", MNG=no)
fi
if test "x$with_mng" != "x" -a "$MNG" = "no"; then
AC_MSG_ERROR(mng headers and/or libraries could not be found)
fi
fi
dnl --- SDL --------------------
AC_CHECK_PROGS(SDLCONFIG, sdl-config)
if test "x$SDLCONFIG" = "x"; then
AC_CHECK_PROGS(SDLCONFIG, sdl11-config)
fi
if test "x$SDLCONFIG" = "x"; then
echo "*** sdl-config not found";
exit 1;
fi
CPPFLAGS="$CPPFLAGS `$SDLCONFIG --cflags`"
if test "$enable_static" != "yes"; then
LDFLAGS="$LDFLAGS `$SDLCONFIG --libs`"
else
LDFLAGS="$LDFLAGS `$SDLCONFIG --static-libs`"
fi
if test "$ARCH" = "win32"; then
AC_ARG_ENABLE(stdio-redirect,
[ --enable-stdio-redirect Redirect STDIO to files on Win32 (default: yes)])
if test "$enable_stdio_redirect" = "no"; then
CPPFLAGS="$CPPFLAGS -DNO_STDIO_REDIRECT"
fi
fi
if test "$ARCH" = "win32"; then
LDFLAGS="$LDFLAGS -ldxguid -lwinmm"
fi
dnl --- LUA includes -----------
AC_ARG_WITH(lua-includes, [ --with-lua-includes=DIR [Location of lua include directiories
(default: check [PREFIX/include/lua51], [PREFIX/include/lua5.1] and [/usr/include/lua51], [/usr/include/lua5.1])]], LUA_INCLUDES="$withval")
if test "$LUA_INCLUDES" != ""; then
CPPFLAGS="$CPPFLAGS -I$LUA_INCLUDES"
fi
if test -d "$prefix/include/lua51"; then
CPPFLAGS="$CPPFLAGS -I$prefix/include/lua51"
fi
if test -d "$prefix/include/lua5.1"; then
CPPFLAGS="$CPPFLAGS -I$prefix/include/lua5.1"
fi
if test -d "/usr/include/lua51"; then
CPPFLAGS="$CPPFLAGS -I/usr/include/lua51"
fi
if test -d "/usr/include/lua5.1"; then
CPPFLAGS="$CPPFLAGS -I/usr/include/lua5.1"
fi
dnl --- LUA --------------------
if test "$ARCH" = "linux"; then
LDFLAGS="$LDFLAGS -ldl"
fi
AC_CHECK_HEADER(lua.h,, AC_MSG_ERROR(could not find lua.h))
AC_SEARCH_LIBS(lua_getfenv, lua lua51 lua5.1 lualib lualib51 lualib5.1, LDFLAGS="$LDFLAGS $LIBS", AC_MSG_ERROR(Lua5.1 is required))
AC_SEARCH_LIBS(luaopen_base, lua lua51 lua5.1 lualib lualib51 lualib5.1, LDFLAGS="$LDFLAGS $LIBS", AC_MSG_ERROR(Lualib5.1 is required))
eval PKGDATADIR="$datadir"
AC_DEFINE_UNQUOTED(PKGDATADIR, "$PKGDATADIR",
[Define this to the path containing the game data.]
)
AC_SUBST(PKGDATADIR)
eval PREFIX="$prefix"
AC_DEFINE_UNQUOTED(PREFIX, "$PREFIX",
[Define this to the prefix of the path to install stratagus to.]
)
AC_SUBST(PREFIX)
if test "$ARCH" = "win32"; then
if test "`uname -a | grep -is cygwin`"; then
LDFLAGS="$LDFLAGS -lws2_32"
else
LDFLAGS="$LDFLAGS -lws2_32 -lmingwex"
fi
if ! test `echo $host | grep -is amd64`; then
LDFLAGS="$LDFLAGS -lwsock32"
fi
if ! test `echo $host | grep -is amd64` && ! test "`uname -a | grep -is cygwin`"; then
LDFLAGS="$LDFLAGS -lgmon"
fi
fi
if test "$ARCH" = "win32"; then
if test "$WINDRES" == ""; then
WINDRES="$host-windres";
fi
AC_CHECK_PROGS(WINDRES_CHECK, $WINDRES)
if test "x$WINDRES_CHECK" = "x"; then
WINDRES="windres"
AC_CHECK_PROGS(WINDRES_CHECK, $WINDRES)
fi
if test "x$WINDRES_CHECK" = "x"; then
echo "*** windres not found"
exit 1
fi
else
WINDRES=""
fi
if test "$STRIP" == ""; then
STRIP="$host-strip";
fi
AC_CHECK_PROGS(STRIP_CHECK, $STRIP)
if test "x$STRIP_CHECK" = "x"; then
STRIP="strip"
AC_CHECK_PROGS(STRIP_CHECK, $STRIP)
fi
if test "x$STRIP_CHECK" = "x"; then
echo "*** strip not found"
exit 1
fi
OUTFILE=stratagus
if test "$ARCH" = "win32"; then
OUTFILE=stratagus.exe
fi
AC_SUBST(OUTFILE)
AC_SUBST(WINDRES)
AC_SUBST(STRIP)
AC_SUBST(CPPFLAGS)
AC_SUBST(CXXFLAGS)
AC_SUBST(LDFLAGS)
if test "$ARCH" = "win32"; then
if ! test -f Rules.make; then
echo "include Rules.make.WIN32" >Rules.make
else
# touch it for dependency reasons
touch Rules.make
fi
AC_CONFIG_FILES(Rules.make.WIN32:Rules.make.in)
else
AC_CONFIG_FILES(Rules.make)
fi
AC_OUTPUT
# EOF #

View file

@ -1,36 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/action
MSRC = action_attack.cpp action_board.cpp action_build.cpp \
action_die.cpp action_follow.cpp action_move.cpp action_patrol.cpp \
action_repair.cpp action_research.cpp action_resource.cpp \
action_returngoods.cpp action_spellcast.cpp action_stand.cpp \
action_still.cpp action_train.cpp action_unload.cpp action_upgradeto.cpp \
actions.cpp command.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,33 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/ai
MSRC = ai.cpp ai_building.cpp ai_force.cpp ai_magic.cpp ai_plan.cpp ai_resource.cpp \
script_ai.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))
HDRS += src/ai/ai_local.h

View file

@ -1,31 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/beos
MSRC = beos.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,31 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/editor
MSRC = script_editor.cpp editloop.cpp editor.cpp edmap.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,31 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/game
MSRC = game.cpp loadgame.cpp savegame.cpp trigger.cpp replay.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,112 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004-2006 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/guichan
MSRC = \
cliprectangle.cpp \
color.cpp \
defaultfont.cpp \
exception.cpp \
focushandler.cpp \
gfont.cpp \
graphics.cpp \
gui.cpp \
guichan.cpp \
image.cpp \
imagefont.cpp \
key.cpp \
keyinput.cpp \
mouseinput.cpp \
rectangle.cpp \
sdl/gsdl.cpp \
sdl/sdlgraphics.cpp \
sdl/sdlimageloader.cpp \
sdl/sdlinput.cpp \
widget.cpp \
widgets/button.cpp \
widgets/checkbox.cpp \
widgets/container.cpp \
widgets/dropdown.cpp \
widgets/icon.cpp \
widgets/label.cpp \
widgets/listbox.cpp \
widgets/radiobutton.cpp \
widgets/scrollarea.cpp \
widgets/slider.cpp \
widgets/textbox.cpp \
widgets/textfield.cpp \
widgets/window.cpp \
SRC += $(addprefix $(MODULE)/,$(MSRC))
MHDRS = \
include/guichan/actionlistener.h \
include/guichan/allegro.h \
include/guichan/basiccontainer.h \
include/guichan/cliprectangle.h \
include/guichan/color.h \
include/guichan/defaultfont.h \
include/guichan/exception.h \
include/guichan/focushandler.h \
include/guichan/font.h \
include/guichan/graphics.h \
include/guichan/gsdl.h \
include/guichan/gui.h \
include/guichan/image.h \
include/guichan/imagefont.h \
include/guichan/imageloader.h \
include/guichan/input.h \
include/guichan/key.h \
include/guichan/keyinput.h \
include/guichan/keylistener.h \
include/guichan/listmodel.h \
include/guichan/mouseinput.h \
include/guichan/mouselistener.h \
include/guichan/platform.h \
include/guichan/rectangle.h \
include/guichan/sdl/sdlgraphics.h \
include/guichan/sdl/sdlimageloader.h \
include/guichan/sdl/sdlinput.h \
include/guichan/sdl/sdlpixel.h \
include/guichan/widget.h \
include/guichan/widgets/button.h \
include/guichan/widgets/checkbox.h \
include/guichan/widgets/container.h \
include/guichan/widgets/dropdown.h \
include/guichan/widgets/icon.h \
include/guichan/widgets/label.h \
include/guichan/widgets/listbox.h \
include/guichan/widgets/radiobutton.h \
include/guichan/widgets/scrollarea.h \
include/guichan/widgets/slider.h \
include/guichan/widgets/textbox.h \
include/guichan/widgets/textfield.h \
include/guichan/widgets/window.h \
include/guichan/x.h \
include/guichan.h
HDRS += $(addprefix $(MODULE)/,$(MHDRS))

View file

@ -1,37 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004-2005 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/include
MHDRS = actions.h ai.h animation.h commands.h construct.h cursor.h depend.h \
editor.h font.h stratagus.h icons.h interface.h iocompat.h iolib.h \
map.h master.h menus.h minimap.h missile.h movie.h myendian.h \
net_lowlevel.h netconnect.h network.h pathfinder.h player.h \
results.h script.h script_sound.h settings.h sound.h sound_server.h \
spells.h tileset.h translate.h trigger.h ui.h unit.h unitsound.h \
unittype.h upgrade.h upgrade_structs.h util.h vec2i.h video.h wav.h widgets.h
HDRS += $(addprefix $(MODULE)/,$(MHDRS))

View file

@ -1,32 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/map
MSRC = script_map.cpp script_tileset.cpp map.cpp map_draw.cpp map_fog.cpp \
map_radar.cpp map_save.cpp map_wall.cpp minimap.cpp tileset.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,11 +0,0 @@
CXXFLAGS = -I../include -I/usr/include/SDL -DHAVE_STRCASESTR -W -Wall -O2 -Wno-write-strings
LDFLAGS = -lSDL -lsqlite3
metaserver: cmd.o db.o games.o netdriver.o main.o lowlevel.o
$(CXX) $^ $(LDFLAGS) -o $@
lowlevel.o: ../network/lowlevel.cpp
$(CXX) -c $^ $(CXXFLAGS) -o $@
clean:
$(RM) *.o metaserver

View file

@ -1,31 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2005 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/metaserver
MSRC = cmd.cpp db.cpp games.cpp main.cpp netdriver.cpp
METASERVER_SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,31 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/network
MSRC = commands.cpp lowlevel.cpp master.cpp netconnect.cpp network.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,32 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/particle
MSRC = chunkparticle.cpp graphicanimation.cpp particlemanager.cpp \
smokeparticle.cpp staticparticle.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,31 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/pathfinder
MSRC = astar.cpp script_pathfinder.cpp pathfinder.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,32 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/sound
MSRC = script_sound.cpp mikmod.cpp music.cpp ogg.cpp \
sound.cpp sound_id.cpp sound_server.cpp unitsound.cpp wav.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,35 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
## (c) Copyright 2010 by Pali Rohár
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/stratagus
MSRC = attachconsole.cpp construct.cpp groups.cpp iolib.cpp \
luacallback.cpp mainloop.cpp missile.cpp player.cpp script.cpp \
script_missile.cpp script_player.cpp script_spell.cpp selection.cpp \
spells.cpp title.cpp stratagus.cpp translate.cpp util.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,34 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2005 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/tolua
MSRC = tolua.cpp tolua_event.cpp tolua_is.cpp tolua_map.cpp tolua_push.cpp \
tolua_to.cpp
MHDRS = tolua_event.h tolua++.h
SRC += $(addprefix $(MODULE)/,$(MSRC))
HDRS += $(addprefix $(MODULE)/,$(MHDRS))

View file

@ -1 +0,0 @@
tolua++ -L stratagus.lua -o tolua.cpp stratagus.pkg

File diff suppressed because it is too large Load diff

View file

@ -1,32 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/ui
MSRC = botpanel.cpp button_checks.cpp script_ui.cpp icons.cpp interface.cpp \
mainscr.cpp menu_proc.cpp menus.cpp mouse.cpp ui.cpp widgets.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,33 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/unit
MSRC = depend.cpp script_unit.cpp script_unittype.cpp \
unit.cpp unit_cache.cpp unit_draw.cpp unit_find.cpp unittype.cpp \
upgrade.cpp unit_manager.cpp unit_save.cpp build.cpp
SRC += $(addprefix $(MODULE)/,$(MSRC))

View file

@ -1,33 +0,0 @@
## _________ __ __
## / _____// |_____________ _/ |______ ____ __ __ ______
## \_____ \\ __\_ __ \__ \\ __\__ \ / ___\| | \/ ___/
## / \| | | | \// __ \| | / __ \_/ /_/ > | /\___ \
## /_______ /|__| |__| (____ /__| (____ /\___ /|____//____ >
## \/ \/ \//_____/ \/
## ______________________ ______________________
## T H E W A R B E G I N S
## Stratagus - A free fantasy real time strategy game engine
##
## Module.make - Module Makefile (included from Makefile).
##
## (c) Copyright 2004 by The Stratagus Team
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; only version 2 of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
MODULE = src/video
MSRC = cursor.cpp font.cpp graphic.cpp linedraw.cpp mng.cpp movie.cpp png.cpp sdl.cpp sprite.cpp video.cpp
MHDRS = intern_video.h
SRC += $(addprefix $(MODULE)/,$(MSRC))
HDRS += $(addprefix $(MODULE)/,$(MHDRS))

View file

@ -1,20 +0,0 @@

Microsoft Visual Studio Solution File, Format Version 9.00
# Visual C++ Express 2005
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "stratagus", "stratagus.vcproj", "{2EEA7F48-45B3-4771-AA26-E2D4628E77AF}"
EndProject
Global
GlobalSection(SolutionConfigurationPlatforms) = preSolution
Debug|Win32 = Debug|Win32
Release|Win32 = Release|Win32
EndGlobalSection
GlobalSection(ProjectConfigurationPlatforms) = postSolution
{2EEA7F48-45B3-4771-AA26-E2D4628E77AF}.Debug|Win32.ActiveCfg = Debug|Win32
{2EEA7F48-45B3-4771-AA26-E2D4628E77AF}.Debug|Win32.Build.0 = Debug|Win32
{2EEA7F48-45B3-4771-AA26-E2D4628E77AF}.Release|Win32.ActiveCfg = Release|Win32
{2EEA7F48-45B3-4771-AA26-E2D4628E77AF}.Release|Win32.Build.0 = Release|Win32
EndGlobalSection
GlobalSection(SolutionProperties) = preSolution
HideSolutionNode = FALSE
EndGlobalSection
EndGlobal

File diff suppressed because it is too large Load diff

View file